#ifndef BOARDINFO_FPGA_H
#define BOARDINFO_FPGA_H

#include "common.h"
#include "boardinfo.h"

/* Address 0 is used by FPGA, so this is the address we use... */
#define BOARDINFO_ADDR	0xff000

extern struct board_info board_info;
extern union board_info_block board_info_raw;

extern void rom_update_boardinfo(void);
extern volatile bool do_update_boardinfo;

#endif	/* BOARDINFO_FPGA_H */
